/**********************
 * DMX-lib Hardware Register Defines
 * 
 *  Target MCU:  ##TEMPLATE## Edit for your ATmega or ATtiny controller
 * 
 * 	Version: 1.1
 *  Date: 29.12.2011
 *  Author: Jan Wiese <jw-lighting@ewetel.net>
 * 
 **********************/
 

/// Input and Output Pins

// Receiver pin
#define DMX_RX_DDR				DDRD
#define DMX_RX_PIN				PD0

// Transmitter pin
#define DMX_TX_PORT				PORTD
#define DMX_TX_DDR				DDRD
#define DMX_TX_PIN				PD1

/// 

// USART I/O Data Register
#define DMX_UDR					

// USART Control and Status Register A
#define DMX_UCSRA				

#define DMX_FE					
#define DMX_DOR					

// USART Control and Status Register B
#define DMX_UCSRB				

#define DMX_RXCIE				
#define DMX_UDRIE				
#define DMX_RXEN				
#define DMX_TXEN				

// USART Control and Status Register C
#define DMX_UCSRC				

#define DMX_USBS				
#define DMX_UCSZ1				
#define DMX_UCSZ0				

// USART Baud Rate Registers
#define DMX_UBRRL				
#define DMX_UBRRH				


// Timer/Counter1 Control Register B
#define DMX_TCCR1B				

#define DMX_CS11				

// Timer/Counter1
#define DMX_TCNT1L				
#define DMX_TCNT1H				

// Output Compare Register 1 A
#define DMX_OCR1AL				
#define DMX_OCR1AH				

// Timer/Counter1 Interrupt Mask Register
#define DMX_TIMSK1				

#define DMX_OCIE1A				
#define DMX_TOIE1				


// Timer/Counter1 Compare Match A Interrupt
#define DMX_TIMER1_COMPA_vect	
// Timer/Counter1 Overflow Interrupt
#define DMX_TIMER1_OVF_vect		
// USART Rx Complete Interrupt
#define DMX_USART_RX_vect		
// USART Data Register Empty Interrupt
#define DMX_USART_UDRE_vect		
